function [NumberOfVehicles, TotalDistance, RouteSets]=ConstEvalVRP(Problem,Route,Capacity);
%Formulating distance matrix===============================================
xy=[Problem(:,2) Problem(:,3)];
[n m]=size (Problem);
a = meshgrid(1:n); 
d = reshape(sqrt(sum((xy(a,:)-xy(a',:)).^2,2)),n,n);
%==========================================================================
Demand=Problem(:,4);
%==========================================================================
[aa,bb]=size(Route);
for hh=1:aa
    ee=1;
    cc=2;
    while   hh<=aa && cc<bb
            ff=2;
            Routes{hh,ee}(1)=1;
            Load(hh,ee)=0;
            while   Load(hh,ee)<=Capacity && cc<bb
                if  (Load(hh,ee)+Demand(Route(hh,cc)))>Capacity 
                    break
                end     
                Routes{hh,ee}(ff)=Route(hh,cc);
                Load(hh,ee)=Load(hh,ee)+Demand(Route(hh,cc));
                cc=cc+1;
                ff=ff+1;
            end
            Routes{hh,ee}(ff)=1;
            ee=ee+1;
    end
    hh=hh+1;
end
%==========================================================================
NumberOfVehicles=length(Routes);
RouteSets=Routes;
n=length(Routes);
for RouteNumber=1:n
    Route_VRP=Routes{1,RouteNumber};
    r=length(Route_VRP);
    jum=0;
    for t=1:r-1,
        subrute=jum+(d(Route_VRP(t),Route_VRP(t+1)));
        jum=subrute;
    end
    DistanceSets(RouteNumber,:)=[jum];
    TotalDistance=sum(DistanceSets);
end
TotalDistance=TotalDistance;